com.ibm.openpages.api.process

## Enum ProcessStatus

- java.lang.Object
- - java.lang.Enum<ProcessStatus>
  - - com.ibm.openpages.api.process.ProcessStatus

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ProcessStatus>

      public enum ProcessStatus
      extends java.lang.Enum<ProcessStatus>

  Enum for various `IProcessInfo` and `IProcessLog` status types supported by the API.

  Since:
    7.4.0.0
  Category:
    Process

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `STATUS_FINISHED_ERROR` Represents process status for process finished with error
    `STATUS_FINISHED_PARTIAL_SUCCESS` Represents process status for process finished with partial success
    `STATUS_FINISHED_SUCCESS` Represents process status for process finished with success
    `STATUS_FINISHED_WARNING` Represents process status for process finished with Warning
    `STATUS_PENDING` Represents process status for process pending
    `STATUS_QUEUED` Represents process status for process queued
    `STATUS_RUNNING` Represents process status for process running
    `STATUS_STARTED` Represents process status for process started
    `STATUS_TERMINATED_SYSTEM` Represents process status for process terminated by the system
    `STATUS_TERMINATED_USER` Represents process status for process terminated by user
    `STATUS_UPDATE_ERROR` Represents process status for update status error
    `STATUS_WARNING` Represents process status for process Warning

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ProcessStatus` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ProcessStatus[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### STATUS_UPDATE_ERROR

          public static final ProcessStatus STATUS_UPDATE_ERROR

      Represents process status for update status error

    - #### STATUS_PENDING

          public static final ProcessStatus STATUS_PENDING

      Represents process status for process pending

    - #### STATUS_QUEUED

          public static final ProcessStatus STATUS_QUEUED

      Represents process status for process queued

    - #### STATUS_STARTED

          public static final ProcessStatus STATUS_STARTED

      Represents process status for process started

    - #### STATUS_RUNNING

          public static final ProcessStatus STATUS_RUNNING

      Represents process status for process running

    - #### STATUS_WARNING

          public static final ProcessStatus STATUS_WARNING

      Represents process status for process Warning

    - #### STATUS_FINISHED_ERROR

          public static final ProcessStatus STATUS_FINISHED_ERROR

      Represents process status for process finished with error

    - #### STATUS_TERMINATED_SYSTEM

          public static final ProcessStatus STATUS_TERMINATED_SYSTEM

      Represents process status for process terminated by the system

    - #### STATUS_TERMINATED_USER

          public static final ProcessStatus STATUS_TERMINATED_USER

      Represents process status for process terminated by user

    - #### STATUS_FINISHED_SUCCESS

          public static final ProcessStatus STATUS_FINISHED_SUCCESS

      Represents process status for process finished with success

    - #### STATUS_FINISHED_WARNING

          public static final ProcessStatus STATUS_FINISHED_WARNING

      Represents process status for process finished with Warning

    - #### STATUS_FINISHED_PARTIAL_SUCCESS

          public static final ProcessStatus STATUS_FINISHED_PARTIAL_SUCCESS

      Represents process status for process finished with partial success

  - ### Method Detail

    - #### values

          public static ProcessStatus[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ProcessStatus c : ProcessStatus.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ProcessStatus valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Licensed Materials - Property of IBM
OpenPages with Watson (PID: 5725-D51)
© Copyright IBM Corporation 2013, 2022. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.